#ifndef TAPCOM_CUTADS_H
#define TAPCOM_CUTADS_H

#define CutAds_ID (0x8100fee3)
#define CutAds_Filename "cutads.tap"

// If the CutAds_PlayingFile flag is included the filename and dir will be ignored
typedef enum { CutAds_PlayingFile=2, CutAds_ConfirmFile=4, CutAds_ReportResult=8 } CutAdsMode;

typedef struct
{
  char dir[256];
  char filename[100];
  CutAdsMode cutMode;
} CutAds_ParamBlock;

#endif
