#include <tap.h>
#include "libFireBird.h"
#include "TAPCOM_cutads.h"

TAP_ID( 0x8100fe99 );
#define TAPNAME "CutAds_test"
TAP_PROGRAM_NAME(TAPNAME);
TAP_AUTHOR_NAME("R2-D2");
TAP_DESCRIPTION("CutAds Test");
TAP_ETCINFO(__DATE__);

CutAds_ParamBlock param;

dword TAP_EventHandler( word event, dword param1, dword param2 )
{
  return param1;
}

int TAP_Main(void)
{
  dword tapID;
  InitTAPAPIFix();
  TAP_Print("Starting\n");
  strcpy(param.dir, "/DataFiles");
  strcpy(param.filename, "test.rec");
  param.cutMode = CutAds_ConfirmFile | CutAds_ReportResult;
  HDD_TAP_Start(CutAds_Filename, FALSE, &param, &tapID);
  if(tapID == CutAds_ID)
  {
    do
    {
      TAP_SystemProc();
    } while(HDD_TAP_isRunning(tapID));
  }
  TAP_Print("Done\n");
  return 0;
}
